<template>
  <section class="AppVideoPublic">
    <component :is="currentComponent" :instance="instance" :dict="dict" :permissions="permissions"/>
  </section>
</template>

<script>

import ProductList from "./vpList";
import ProductAdd from "./vpAdd";

export default {
  name: "AppVideoPublic",
  components: {ProductAdd, ProductList},
  label: "视频宣传",
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  computed: {
    currentComponent() {
      return this.$route.hash == "#add" ? ProductAdd : ProductList
    }
  },
  created() {
    this.dict.load("videoNewsStatus")
  }
}
</script>

<style lang="scss" scoped>
.AppVideoPublic {
  height: 100%;
}
</style>
